<template>
  <InfoBox title="Unsere meistgesuchten Aktien">
    <table class="w-full table-auto border-collapse">
      <tbody>
        <tr v-for="(item, index) in hotStocks" :key="index">
          <td :class="{ 'pb-2': index < hotStocks.length - 1 }">
            {{ item.name }}
          </td>
          <td class="text-right text-sm text-gray-400">
            {{ item.clicks }} Klicks
          </td>
          <td class="text-right">
            <DeltaIndicator :value-in-percent="item.differenceInPercent" />
          </td>
        </tr>
      </tbody>
    </table>
  </InfoBox>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  computed: {
    ...mapState({
      hotStocks: (state: any) => state.hotStocks
    })
  }
});
</script>
